{
  "rules": {
    "keysOnViews": "error",
    "zombieKeys": "error",
    "misprintKeys": "disable",
    "deepSearch": "enable",
    "emptyKeys": "warning",
    "maxWarning": "0",
    "misprintCoefficient": "0.9",
    "ignoredKeys": [
      "permissions.*",
      "permission_descriptions.*",
      "event.participants.attendance_states.*",
      "event.participants.payment_*",
      "primeng.*"
    ],
    "ignoredMisprintKeys": [],
    "customRegExpToFindKeys": [
      "(?<=countHeaderTranslation=\")[A-Za-z0-9_.-]+(?=\")",
      "(?<=translationKey:\\s*['\"])[A-Za-z0-9_.-]+(?=['\"])",
      "(?<=(success|info|warn|error)\\(['\"])[A-Za-z0-9_.-]+(?=['\"]\\))",
      "(?<=instant\\(['\"])[A-Za-z0-9_.-]+(?=['\"]\\))",
      "(?<=\\.instant\\(['\"])[A-Za-z0-9_.-]+(?=['\"]\\))|(?<=\\?\\s*['\"])[A-Za-z0-9_.-]+(?=['\"]\\s*:\\s*['\"].*?\\|\\s*translate)|(?<=:\\s*['\"])[A-Za-z0-9_.-]+(?=['\"]\\s*\\|\\s*translate)\n"
    ]
  },
  "fixZombiesKeys": false,
  "project": "./src/app/**/*.{html,ts}",
  "languages": "./src/assets/i18n/*.json"
}
